import java.net.*;
import java.io.*;
import java.util.*;

import java.awt.*;
import java.awt.geom.*;

public class UDPWinShareServer extends ToyGraphics {
    UDPServer serv;
    
    public UDPWinShareServer(int port) {
	super(1280, 720);
	serv = new UDPServer(port);
    }
    public void run() {
	synchronized (this) {
	    g2d.setPaint(Color.black);
	    g2d.fill(new Rectangle2D.Double(0, 0, width, height));      // 画面全体を黒で塗りつぶす
	    repaint(0,0,width,height);
	}
	new Thread(new UDPWinShareRecv(serv,this)).run();
    }
    public static void main(String[] args) {
	int port = 8888;
	for (int i=0; i<args.length; i++) {
	    if (args[i].equals("-p")) port = Integer.parseInt(args[++i]);
	    else {
		System.err.println("unknown option: "+args[i]);
	    }
	}
	UDPWinShareServer app = new UDPWinShareServer(port);
	app.run();
    }
}
